<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://tempuri.org/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/">
      <s:element name="GetNumProtocol">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="dati" type="tns:RequestPPWS2" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="RequestPPWS2">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="DT_RICEVIMENTO" type="s:dateTime" />
          <s:element minOccurs="1" maxOccurs="1" name="TIPO_POSTA" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="DESTINATARIO" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="NUM_PAGINE" type="s:int" />
          <s:element minOccurs="0" maxOccurs="1" name="NUM_RACCOMANDATA" type="s:string" />
          <s:element minOccurs="1" maxOccurs="1" name="TIPO_LETTERA" type="s:int" />
          <s:element minOccurs="0" maxOccurs="1" name="MITTENTE" type="s:string" />
          <s:element minOccurs="1" maxOccurs="1" name="DT_INVIO" type="s:dateTime" />
          <s:element minOccurs="1" maxOccurs="1" name="CODICE_AREA" type="s:int" />
          <s:element minOccurs="0" maxOccurs="1" name="COMMENTO" type="s:string" />
          <s:element minOccurs="1" maxOccurs="1" name="COD_PARTNER" type="s:int" />
        </s:sequence>
      </s:complexType>
      <s:element name="GetNumProtocolResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetNumProtocolResult" type="tns:ResponsePPWS2" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ResponsePPWS2">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="NUMPROTOCOL" type="s:int" />
          <s:element minOccurs="0" maxOccurs="1" name="ERRORS" type="s:string" />
        </s:sequence>
      </s:complexType>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="GetNumProtocolSoapIn">
    <wsdl:part name="parameters" element="tns:GetNumProtocol" />
  </wsdl:message>
  <wsdl:message name="GetNumProtocolSoapOut">
    <wsdl:part name="parameters" element="tns:GetNumProtocolResponse" />
  </wsdl:message>
  <wsdl:portType name="PPWS2Soap">
    <wsdl:operation name="GetNumProtocol">
      <wsdl:input message="tns:GetNumProtocolSoapIn" />
      <wsdl:output message="tns:GetNumProtocolSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="PPWS2Soap" type="tns:PPWS2Soap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="GetNumProtocol">
      <soap:operation soapAction="http://tempuri.org/GetNumProtocol" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="PPWS2Soap12" type="tns:PPWS2Soap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="GetNumProtocol">
      <soap12:operation soapAction="http://tempuri.org/GetNumProtocol" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="PPWS2">
    <wsdl:port name="PPWS2Soap" binding="tns:PPWS2Soap">
      <soap:address location="http://localhost:49691/PPWS2.asmx" />
    </wsdl:port>
    <wsdl:port name="PPWS2Soap12" binding="tns:PPWS2Soap12">
      <soap12:address location="http://localhost:49691/PPWS2.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>